/**
 * SmttFileType.java
 *
 * Revision: $Revision$  (Last Modified: $Date$)
 * Last Modified by: [$Author$]
 * 
 * Copyright (c) 2004 Smartmatic Corp.
 * 1001 Broken Sound Parkway NW, Suite D
 * Boca Raton FL 33487, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Smartmatic Corp. ("Confidential Information"). You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered
 * into with Smartmatic Corp.
 */
package com.smartmatic.waffle.ecm.data.transfer.type;

/**
 * Enum to define each smtt file admitted by ECM to perform bulk upload.
 */
public enum SmttFileType {

    KEYSTORE, ELECTION, CATEGORY, REGION, PROGRAMMING_UNIT, PATH, DISTRICT, BALLOT_LAYOUT, CONTEST_CLASS, CONTEST,

    CONTEST_GROUP, PARTY, CANDIDATE, ELIGIBLE_OPTION, ELIGIBLE_OPTION_ROL, BALLOT_OPTION, LANGUAGE, ELECTORAL_AUTHORITY,

    PROFILE, USER, POLLING_PLACE, POLLING_STATION, VOTING_DEVICE, VOTING_BOOTH, SITES, REPORT_TEMPLATE, MULTILINGUAL_KEY, TRANSLATION_KEY, RESOURCE;

    /**
     * Hold the translation of each type
     */
    private String translatedName;

    /**
     * Gets the type for key.
     * 
     * @param key
     *            the key
     * @return the type for key
     */
    public static SmttFileType stringToSmttFileType(String smttFileType) {
        return SmttFileType.valueOf(smttFileType);
    }

    /**
     * Gets the translation of each type.
     * 
     * @return the translation of each type
     */
    public String getTranslatedName() {
        if (this.translatedName == null
                || (this.translatedName != null && this.translatedName
                        .isEmpty())) {
            return this.toString();
        } else {
            return this.translatedName;
        }
    }

    /**
     * Sets the translation of each type.
     * 
     * @param translatedName
     *            the translation of each type
     */
    public void setTranslatedName(String translatedName) {
        this.translatedName = translatedName;
    }
}
