#
# File: CMakeInstallDirs.cmake
#
# Date: Mon Jul 22 12:00:00 EST 2013
# Author: alejandro.claro
#
# Copyright 2013 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# This script defines some variables that describe paths needed to install an application.
#
# CMAKE_INSTALL_BINDIR        - Binary directory.
# CMAKE_INSTALL_DATADIR       - Data directory
# CMAKE_INSTALL_SYSCONFDIR    - Configuration directory.
# CMAKE_INSTALL_LOCALSTATEDIR - Local state directory.
# CMAKE_INSTALL_LIBDIR        - Libraries directory.
# CMAKE_INSTALL_MANDIR        - Manuals directory.
#

SET (CMAKE_INSTALL_BINDIR_DOC        "User executables [PREFIX/bin]")
SET (CMAKE_INSTALL_SBINDIR_DOC       "User executables [PREFIX/sbin]")
SET (CMAKE_INSTALL_DATADIR_DOC       "Read-only architecture-independent data [PREFIX/share]")
SET (CMAKE_INSTALL_SYSCONFDIR_DOC    "Read-only single-machine data [PREFIX/etc]")
SET (CMAKE_INSTALL_LOCALSTATEDIR_DOC "Modifiable single-machine data [PREFIX/var]")
SET (CMAKE_INSTALL_LIBDIR_DOC        "Object code libraries [PREFIX/lib]")
SET (CMAKE_INSTALL_MANDIR_DOC        "Manuals documentation [PREFIX/man]")

SET (CMAKE_INSTALL_BINDIR        "${CMAKE_INSTALL_PREFIX}/bin"   CACHE PATH ${CMAKE_INSTALL_BINDIR_DOC})
SET (CMAKE_INSTALL_SBINDIR       "${CMAKE_INSTALL_PREFIX}/sbin"  CACHE PATH ${CMAKE_INSTALL_SBINDIR_DOC})
SET (CMAKE_INSTALL_DATADIR       "${CMAKE_INSTALL_PREFIX}/share" CACHE PATH ${CMAKE_INSTALL_DATADIR_DOC})
SET (CMAKE_INSTALL_LIBDIR        "${CMAKE_INSTALL_PREFIX}/lib"   CACHE PATH ${CMAKE_INSTALL_LIBDIR_DOC})
SET (CMAKE_INSTALL_MANDIR        "${CMAKE_INSTALL_PREFIX}/man"   CACHE PATH ${CMAKE_INSTALL_MANDIR_DOC})

IF (${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
  SET (CMAKE_INSTALL_SYSCONFDIR    "/etc" CACHE PATH ${CMAKE_INSTALL_SYSCONFDIR_DOC})
  SET (CMAKE_INSTALL_LOCALSTATEDIR "/var" CACHE PATH ${CMAKE_INSTALL_LOCALSTATEDIR_DOC})
ELSE()
 SET (CMAKE_INSTALL_SYSCONFDIR    "${CMAKE_INSTALL_PREFIX}/etc"   CACHE PATH ${CMAKE_INSTALL_SYSCONFDIR_DOC})
 SET (CMAKE_INSTALL_LOCALSTATEDIR "${CMAKE_INSTALL_PREFIX}/var"   CACHE PATH ${CMAKE_INSTALL_LOCALSTATEDIR_DOC})
ENDIF ()

MARK_AS_ADVANCED(
  CMAKE_INSTALL_BINDIR
  CMAKE_INSTALL_SBINDIR
  CMAKE_INSTALL_DATADIR
  CMAKE_INSTALL_SYSCONFDIR
  CMAKE_INSTALL_LOCALSTATEDIR
  CMAKE_INSTALL_LIBDIR
  CMAKE_INSTALL_MANDIR
)
