#
# File: FindGlobalPlatform.cmake
#
# Date: Wed Apr 12 13:52:00 EST 2017
# Author: manuel.arguelles
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libudev library
# Once done this will define
#
# LIBUDEV_FOUND        - True if libudev was found
# LIBUDEV_INCLUDE_DIRS - Location of libudev headers
# LIBUDEV_LIBRARIES    - List of ibraries to use libudev

INCLUDE (FindPackageHandleStandardArgs)

FIND_PACKAGE (PkgConfig QUIET)

PKG_CHECK_MODULES (PC_LIBUDEV QUIET libudev)

FIND_PATH (
  LIBUDEV_INCLUDE_DIRS
  NAMES libudev.h
  HINTS ${PC_LIBUDEV} ${PC_LIBUDEV_INCLUDE_DIRS}
  )

FIND_LIBRARY (
  LIBUDEV_LIBRARIES
  NAME udev
  HINTS ${PC_LIBUDEV_LIBDIR} ${PC_LIBUDEV_LIBRARY_DIRS}
  )

FIND_PACKAGE_HANDLE_STANDARD_ARGS (
  LIBUDEV
  REQUIRED_VARS LIBUDEV_LIBRARIES LIBUDEV_INCLUDE_DIRS
  VERSION_VAR PC_LIBUDEV_VERSION
  )

MARK_AS_ADVANCED (LIBUDEV_LIBRARIES LIBUDEV_INCLUDE_DIRS)
