#
# File: FindLibUUID.cmake
#
# Date: Fri Jan 03 12:00:00 EST 2017
# Author: gustavo.garcia
#
# Copyright 2014 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libuuid library
# Once done this will define
#
# LIBUUID_FOUND        - True if libuuid got found
# LIBUUID_INCLUDE_DIRS - Location of libuuid headers
# LIBUUID_LIBRARIES    - List of libraries to use libuuid
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  LIBUUID_INCLUDE_DIRS
  NAMES uuid.h
  PATHS
    /usr/include/uuid
    /usr/local/include/uuid
    /opt/local/include/uuid
    /sw/include/uuid
)

FIND_LIBRARY (
  LIBUUID_LIBRARIES
  NAMES uuid
  PATHS
    /lib
    /usr/lib
    /usr/local/lib
    /opt/local/lib
    /sw/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (LibUUID REQUIRED_VARS LIBUUID_LIBRARIES LIBUUID_INCLUDE_DIRS)

MARK_AS_ADVANCED (LIBUUID_LIBRARIES LIBUUID_INCLUDE_DIRS)
