#
# File: FindLibsaesfunctionality.cmake
#
# Author: gustavo.garcia
# Date: Mon Mar 06 15:00:00 EST 2017
#
# Copyright 2014 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find saesfunctionality library
# Once done this will define
#
# LIBSAES_FUNC_FOUND        - True if libsaesfunctionality got found
# LIBSAES_FUNC_INCLUDE_DIRS - Location of libsaesfunctionality headers
# LIBSAES_FUNC_LIBRARY      - List of libraries to use libsaesfunctionality
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  LIBSAES_FUNC_INCLUDE_DIRS
  NAMES Configuration/s-a-e-s-functionality-conf-manager.h
  PATHS
    ${CMAKE_INSTALL_PREFIX}/include/saesfunctionality
    ${WORKSPACE_PATH}/include/saesfunctionality
)

FIND_LIBRARY (
  LIBSAES_FUNC_LIBRARY
  NAMES libsaesfunctionality.so
  PATHS
    ${CMAKE_INSTALL_PREFIX}/lib
    ${WORKSPACE_PATH}/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (LIBSAES_FUNC REQUIRED_VARS LIBSAES_FUNC_LIBRARY LIBSAES_FUNC_INCLUDE_DIRS)

MARK_AS_ADVANCED (LIBSAES_FUNC_LIBRARY v)

