#
# File: FindLibsaesguibase.cmake
#
# Author: gustavo.garcia
# Date: Mon Mar 06 15:00:00 EST 2017
#
# Copyright 2014 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find libsaesguibase library
# Once done this will define
#
# LIBSAES_GUIBASE_FOUND        - True if libsaesguibase got found
# LIBSAES_GUIBASE_INCLUDE_DIRS - Location of libsaesguibase headers
# LIBSAES_GUIBASE_LIBRARY      - List of libraries to use libsaesguibase
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  LIBSAES_GUIBASE_INCLUDE_DIRS
  NAMES Configuration/s-a-e-s-g-u-i-conf-manager.h
  PATHS
    ${CMAKE_INSTALL_PREFIX}/include/saesguibase
    ${WORKSPACE_PATH}/include/saesguibase
)

FIND_LIBRARY (
  LIBSAES_GUIBASE_LIBRARY
  NAMES libsaesguibase.so
  PATHS
    ${CMAKE_INSTALL_PREFIX}/lib
    ${WORKSPACE_PATH}/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (LIBSAES_GUIBASE REQUIRED_VARS LIBSAES_GUIBASE_LIBRARY LIBSAES_GUIBASE_INCLUDE_DIRS)

MARK_AS_ADVANCED (LIBSAES_GUIBASE_LIBRARY v)

