#
# File: FindLibsaeshardware.cmake
#
# Author: gustavo.garcia
# Date: Mon Mar 06 15:00:00 EST 2017
#
# Copyright 2014 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find saeshardware library
# Once done this will define
#
# LIBSAES_HW_FOUND        - True if libsaeshardware got found
# LIBSAES_HW_INCLUDE_DIRS - Location of libsaeshardware headers
# LIBSAES_HW_LIBRARY      - List of libraries to use libsaeshardware
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  LIBSAES_HW_INCLUDE_DIRS
  NAMES Configuration/s-a-e-s-hardware-conf-manager.h
  PATHS
    ${CMAKE_INSTALL_PREFIX}/include/saeshardware
    ${WORKSPACE_PATH}/include/saeshardware
)

FIND_LIBRARY (
  LIBSAES_HW_LIBRARY
  NAMES libsaeshardware.so
  PATHS
    ${CMAKE_INSTALL_PREFIX}/lib
    ${WORKSPACE_PATH}/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (LIBSAES_HW REQUIRED_VARS LIBSAES_HW_LIBRARY LIBSAES_HW_INCLUDE_DIRS)

MARK_AS_ADVANCED (LIBSAES_HW_LIBRARY v)
