#
# File: FindLibsmartmatic.cmake
#
# Date: Fri Tue 21 17:23:00 EST 2017
# Author: gustavo.garcia
#
# Copyright 2014 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#
# Try to find smartmatic library
# Once done this will define
#
# LIBSMTT_FOUND        - True if libsmartmatic got found
# LIBSMTT_INCLUDE_DIRS - Location of libsmartmatic headers
# LIBSMTT_LIBRARIES    - List of libraries to use libsmartmatic
#

INCLUDE (FindPackageHandleStandardArgs)

FIND_PATH (
  LIBSMTT_INCLUDE_DIRS
  NAMES System/ZenityWrapper.hxx
  PATHS
    ${CMAKE_INSTALL_PREFIX}/include/smartmatic
    ${WORKSPACE_PATH}/include/smartmatic
)

FIND_LIBRARY (
  LIBSMTT_LIBRARY
  NAMES libsmartmatic.so
  PATHS
    ${CMAKE_INSTALL_PREFIX}/lib
    ${WORKSPACE_PATH}/lib
)

FIND_PACKAGE_HANDLE_STANDARD_ARGS (LIBSMTT REQUIRED_VARS LIBSMTT_LIBRARY LIBSMTT_INCLUDE_DIRS)

MARK_AS_ADVANCED (LIBSMTT_LIBRARY LIBSMTT_INCLUDE_DIRS)
