#!/bin/bash
#
# File: make.sh
#
# Builds the project using cmake.
#
# Date: Wed Apr 19, 17:03:00 EST 2017.
# Author: manuel.arguelles
#
# Revision: 1
#
# Copyright 2017 Smartmatic Corp. All Rights Reserved.
#
# Confidential Information of Smartmatic Labs. Not for disclosure or distribution
# prior written consent. This software contains code, techniques and know-how which
# is confidential and proprietary to Smartmatic.
#
# Use of this software is subject to the terms of an end user license agreement.
#

BUILD_DIR="build"
TARGET="all"

for i in "$@"
do
  case $i in
    builddir=*)
      BUILD_DIR="${i#*=}"
      shift
      ;;
    *)
      TARGET="$i"
      shift
      ;;
  esac
done

if [ ! -d ${BUILD_DIR} ]
then
  ./scripts/create-release-makefiles.sh builddir=${BUILD_DIR}
fi

cmake --build ${BUILD_DIR} --target ${TARGET}

